MetalComboBoxEditor.UIResource (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalComboBoxEditor, class: UIResource
Keywords: javax.swing.plaf.metal.MetalComboBoxEditor.UIResource class

Module java.desktop
Package javax.swing.plaf.metal

# Class MetalComboBoxEditor.UIResource

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
javax.swing.plaf.metal.MetalComboBoxEditor
javax.swing.plaf.metal.MetalComboBoxEditor.UIResource

All Implemented Interfaces:
  `FocusListener`, `EventListener`, `ComboBoxEditor`, `UIResource`

Enclosing class:
  MetalComboBoxEditor

    public static class MetalComboBoxEditor.UIResource
    extends MetalComboBoxEditor
    implements UIResource

A subclass of BasicComboBoxEditor that implements UIResource. BasicComboBoxEditor doesn't implement UIResource directly so that applications can safely override the cellRenderer property with BasicListCellRenderer subclasses.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.plaf.metal.MetalComboBoxEditor

  `MetalComboBoxEditor.UIResource`

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.metal.MetalComboBoxEditor

  `editorBorderInsets`

  ### Fields declared in class javax.swing.plaf.basic.BasicComboBoxEditor

  `editor`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UIResource()` |

- ## Method Summary

  ### Methods declared in class javax.swing.plaf.basic.BasicComboBoxEditor

  `createEditorComponent, setItem`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.ComboBoxEditor

  `addActionListener, getEditorComponent, getItem, removeActionListener, selectAll`

  ### Methods declared in interface java.awt.event.FocusListener

  `focusGained, focusLost`

- ## Constructor Details

  - ### UIResource

    public UIResource()